Object Photo "framed photograph" Briefing_Room
  with
    name "photo" "photograph" "pic" "picture" "framed" "frame",
    description
    "It's a photo of the station staff, or the beard-and-sandals brigade to 
     be more accurate. There are also a few thick-rimmed black glasses, 
     brightly-coloured woolly jumpers, and white lab coats. Who would have 
     thought this lot would still be around in the 12th Millennium GY? In the 
     corner of the photo you spot a short, red, grinning robot. It appears to
     be a B-19-x model.",
    before
    [;take: "That's securely attached to the wall."; ],
    has scenery;   

Object Robot "robot in the photograph" Briefing_Room
  with
    name "robot",
    description
    "It's the same model as your old pal Floyd, gone but not forgotten. It's
     amazing how long those 2nd Galactic Union models last, they built
     them for eternity.",
    before
    [;take: "That's part of the photograph!"; 
      examinein: if (second == photo) <<EXAMINE SELF>>; 
    ],
    has concealed;

Class_Table Conference_Table "conference table" Briefing_Room
  with
    name "conference",
    description
    "In front on each place is a name tag.";

Object Tag "name tags" Conference_Table
  with
    name "name" "tag" "tags", article "some",
    description
    "They are black and made of plastic with little holes where white 
     letters can be placed. They list the name and occupation of each
     member of the senior staff.",
    before 
    [;
    Take: "If you take them, they'll get all mixed up, and you don't want 
           that, do you?"; 
    Consult, Read: 
    "Most of the names are unfamiliar to you, but the job titles include
     Station Manager, Chief Engineer, Computing and Cybernetics Officer (the
     crew who work in this section are generally known as the Cybermen),
     Head Chef, Station Doctor, Simp Keeper, Communications Officer, and 
     Chief Laundryman (the Patrol places a high priority on cleanliness).";
    ],
    has concealed legible pluralname;

Class_Chair Lounge_Chair "chair" Lounge;      
Class_Chair Briefing_Room_Chair "chair" Briefing_Room;
Class_Chair Waiting_Room_Chair "chair" Waiting_Room;

Object Lounge_Chairs "chairs"
  with 
    name "chairs" "seats",
    description "Standard Patrol Issue. They look very comfortable.",
    before
    [;Enter: if ((Player notin Lounge_Chair) 
             && (Player notin Briefing_Room_Chair)
             && (Player notin Waiting_Room_Chair)) 
               print "You pick the nearest chair.^";
             switch (Location)
             {
               Lounge:        <<ENTER LOUNGE_CHAIR>>;
               Briefing_Room: <<ENTER BRIEFING_ROOM_CHAIR>>;
               Waiting_Room:  <<ENTER WAITING_ROOM_CHAIR>>;
             }
      Receive: 
      if ((Player notin Lounge_Chair) && (Player notin Briefing_Room_Chair)
      && (Player notin Waiting_Room_Chair))              
        print "You pick the nearest chair.^";
      switch (Location)
      {
        Lounge:        <<PUTON NOUN LOUNGE_CHAIR>>;
        Briefing_Room: <<PUTON NOUN BRIEFING_ROOM_CHAIR>>;
        Waiting_Room:  <<PUTON NOUN WAITING_ROOM_CHAIR>>;
      }
      Exit: if ((Player notin self) && (Player notin Lounge_Chair)
            && (Player notin Briefing_Room_Chair) 
            && (Player notin Waiting_Room_Chair))
              "You're not in a chair."; 
    ],
    found_in Lounge Briefing_Room Waiting_Room,
    has scenery supporter enterable open pluralname concealed;
